<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horizontal_latest_articles_ticker_panel.php
| Version: 1.0
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."horizontal_latest_articles_ticker_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horizontal_latest_articles_ticker_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horizontal_latest_articles_ticker_panel/locale/English.php";
}

add_to_head("<link type='text/css' href='".INFUSIONS."horizontal_latest_articles_ticker_panel/css/styles.css' media='screen' rel='stylesheet' />");

$result = dbquery("
		SELECT * FROM ".DB_ARTICLES."
		WHERE ".groupaccess('news_visibility')." AND article_draft='0'
		ORDER BY article_datestamp DESC LIMIT 0,3
	");

opentable($locale['hlat001']);
echo "<div class='articles-container'>\n";
if (dbrows($result)) {
	echo "<ul>\n";
	while ($data = dbarray($result)) {
		echo "<li><span class='articles-data'>".strftime('%d.%m.%Y', $data['article_datestamp']+($settings['timeoffset']*3600))."</span><br />\n";
		echo "<span class='articles-title'><a href='".BASEDIR."articles.php?article_id=".$data['article_id']."'>".trimlink(strip_tags(stripslashes($data['article_subject'])), 50)."</a></span><br />\n";
		echo "<span class='articles-desc'>".trimlink(strip_tags(stripslashes($data['article_snippet'])), 100)."</span>\n";
		echo "</li>\n";
	}
	echo "</ul>\n";
} else {
	 echo "<div style='text-align:center;'>".$locale['hlat002']."</div>\n";
}
echo "</ul></div>\n";
closetable();
?>